Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Enum cmdItems.ItemModel.PriceType

java.lang.Object
java.lang.Enum<cmdItems.ItemModel.PriceType>
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdItems.ItemModel.PriceType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdItems.ItemModel.PriceType>`, `java.lang.constant.Constable`

Enclosing class:
  cmdItems.ItemModel

    public static enum cmdItems.ItemModel.PriceType
    extends java.lang.Enum<cmdItems.ItemModel.PriceType>

PriceType - Price type ('0' - fixed price, '1' - free price, '2' - max price) ;

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `FIXED_PRICE` |
  `FREE_PRICE` |
  `MAX_PRICE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdItems.ItemModel.PriceType` | `fromOrdinal​(int n)` |
  `static cmdItems.ItemModel.PriceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdItems.ItemModel.PriceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIXED_PRICE

    public static final cmdItems.ItemModel.PriceType FIXED_PRICE

  - ### FREE_PRICE

    public static final cmdItems.ItemModel.PriceType FREE_PRICE

  - ### MAX_PRICE

    public static final cmdItems.ItemModel.PriceType MAX_PRICE

- ## Method Details

  - ### values

    public static cmdItems.ItemModel.PriceType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdItems.ItemModel.PriceType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### fromOrdinal

    public static cmdItems.ItemModel.PriceType fromOrdinal​(int n)